Gets a shared item by ID
GET /v1/shareditem/{sharedItemID}
Summary
Gets a shared item by ID.
Authentication
No operation-level security requirement is documented here.
Parameters
| Name | In | Type | Required | Description | Example |
|---|---|---|---|---|---|
| sharedItemID | path | integer (int64) | Yes | The ID of the shared item to retrieve. | 1 |
Request Body
No request body is documented here.
Responses
200
Success
application/json
key(integer (int64), optional)itemTypeID(integer (int64), optional)sharedItemObjectID(integer (int64), optional)collectionTypeID(integer (int64), optional)fieldName(string, optional)sharedByID(integer (int64), optional)sharedWithID(integer (int64), optional)sharedWithTypeID(integer (int64), optional)emailAddress(string, optional)permissionList(string, optional)description(string, optional)creationDate(string (date-time), optional)
Example
{
"key": 1,
"itemTypeID": 1,
"sharedItemObjectID": 1,
"collectionTypeID": 1,
"fieldName": "Example value",
"sharedByID": 1,
"sharedWithID": 1,
"sharedWithTypeID": 1,
"emailAddress": "testuser@actionstreamer.com",
"permissionList": "Example value",
"description": "Example description",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}